/*

Copyright (c) 2001 Michael Terry

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/


#include "font.h"
#include "fio.h"

void font_diag_close (pad_node *node, GtkWidget *widget)
{
	gtk_widget_destroy (widget);
}

void font_diag_cancel (pad_node *node, GtkWidget *button)
{
	gdk_window_destroy (gtk_widget_get_parent_window (button));
}


void font_diag_ok (pad_node *node, GtkWidget *button)
{
	GtkStyle *style = gtk_widget_get_style (GTK_WIDGET(get_text(GTK_WINDOW(node->window))));

	style->font = gtk_font_selection_dialog_get_font (GTK_FONT_SELECTION_DIALOG (gtk_widget_get_toplevel (button)));
	strcpy(node->fontname, gtk_font_selection_dialog_get_font_name(GTK_FONT_SELECTION_DIALOG (gtk_widget_get_toplevel (button))));
	
	gtk_text_freeze (get_text (GTK_WINDOW(node->window)));
	gtk_widget_set_style (GTK_WIDGET(get_text(GTK_WINDOW(node->window))), style);
	gtk_text_thaw (get_text (GTK_WINDOW(node->window)));

	save_pads();

	gdk_window_destroy (gtk_widget_get_parent_window (button));
}


void font_select (pad_node *node)
{
	GtkFontSelectionDialog *font_diag;

	font_diag = GTK_FONT_SELECTION_DIALOG (gtk_font_selection_dialog_new ("Choose font."));

	gtk_signal_connect_object (GTK_OBJECT (font_diag), "destroy", GTK_SIGNAL_FUNC (font_diag_close), (gpointer) node);
	gtk_signal_connect_object (GTK_OBJECT (font_diag->cancel_button), "clicked", GTK_SIGNAL_FUNC (font_diag_cancel), (gpointer) node);
	gtk_signal_connect_object (GTK_OBJECT (font_diag->ok_button), "clicked", GTK_SIGNAL_FUNC (font_diag_ok), (gpointer) node);

	gtk_font_selection_dialog_set_font_name (font_diag, node->fontname);

	gtk_widget_show (GTK_WIDGET (font_diag));
}







